# $Revision: 1.55.2.11 $, $Date: 2008/07/03 13:16:12 $
#
# Conditional build:
%bcond_without	dist_kernel	# allow non-distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	userspace	# don't build userspace programs
%bcond_with	verbose		# verbose build (V=1)

%if %{without kernel}
%undefine	with_dist_kernel
%endif
%if "%{_alt_kernel}" != "%{nil}"
%undefine	with_userspace
%endif
%if %{without userspace}
# nothing to be placed to debuginfo package
%define		_enable_debug_packages	0
%endif

%define		rel		5
%define		pname	bcm5700
Summary:	Linux driver for the Broadcom's NetXtreme BCM57xx Network Interface Cards
Summary(pl.UTF-8):	Sterownik dla Linuksa do kart sieciowych Broadcom NetXtreme BCM57xx
Name:		%{pname}%{_alt_kernel}
Version:	8.3.14
Release:	%{rel}
License:	GPL v2
Group:		Base/Kernel
# extracted from http://www.broadcom.com/docs/driver_download/570x/linux-8.3.14.zip
Source0:	%{pname}-%{version}.tar.gz
# Source0-md5:	6dd814821f26ad67c7d7ce61c5275ca0
Source1:	%{pname}-Makefile
Patch0:		%{pname}-2.6.22.patch
URL:		http://www.broadcom.com/drivers/downloaddrivers.php
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.20.2}
BuildRequires:	rpmbuild(macros) >= 1.452
# broken build
ExcludeArch:	%{x8664} alpha sparc64 ppc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the Linux driver for the Broadcom's NetXtreme
BCM57xx Network Interface Cards.

Note: this driver is obsoleted by Broadcom, use tg3 instead.

%description -l pl.UTF-8
Pakiet zawiera sterownik dla Linuksa do kart sieciowych Broadcom
BCM57xx.

Uwaga: ten sterownik Broadcomu jest przestarzały, należy używać tg3.

%package -n kernel%{_alt_kernel}-net-bcm5700
Summary:	Linux SMP driver for the Broadcom's NetXtreme BCM57xx Network Interface Cards
Summary(pl.UTF-8):	Sterownik dla Linuksa SMP do kart sieciowych Broadcom BCM57xx
Release:	%{rel}@%{_kernel_vermagic}
Group:		Base/Kernel
Requires(post,postun):	/sbin/depmod
%{?with_dist_kernel:Requires:	kernel%{_alt_kernel}(vermagic) = %{_kernel_ver}}
Obsoletes:	kernel%{_alt_kernel}-smp-net-bcm5700

%description -n kernel%{_alt_kernel}-net-bcm5700
Linux driver for the Broadcom's NetXtreme BCM57xx Network Interface
Cards.

Note: this driver is obsoleted by Broadcom, use tg3 instead.

%description -n kernel%{_alt_kernel}-net-bcm5700 -l pl.UTF-8
Sterownik dla Linuksa do kart sieciowych Broadcom BCM57xx.

Uwaga: ten sterownik Broadcomu jest przestarzały, należy używać tg3.

%prep
%setup -q -n %{pname}-%{version}
%patch0 -p1

mv src/Makefile{,.orig}
cat > src/Makefile << EOF
obj-m += bcm5700.o
bcm5700-objs := b57um.o b57proc.o tigon3.o autoneg.o 5701rls.o tcp_seg.o b57diag.o
EXTRA_CFLAGS = -DDBG=0 -DT3_JUMBO_RCV_RCB_ENTRY_COUNT=256 -DNICE_SUPPORT -DPCIX_TARGET_WORKAROUND=1 -DINCLUDE_TBI_SUPPORT -DINCLUDE_5701_AX_FIX=1
EOF

%build
%build_kernel_modules -C src -m bcm5700

%install
rm -rf $RPM_BUILD_ROOT
cd src

%if %{with userspace}
install -d $RPM_BUILD_ROOT%{_mandir}/man4
install bcm5700.4 $RPM_BUILD_ROOT%{_mandir}/man4
%endif

%if %{with kernel}
%install_kernel_modules -m bcm5700 -d kernel/drivers/net
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n kernel%{_alt_kernel}-net-bcm5700
%depmod %{_kernel_ver}

%postun	-n kernel%{_alt_kernel}-net-bcm5700
%depmod %{_kernel_ver}

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README.TXT
%{_mandir}/man4/bcm5700.*
%endif

%if %{with kernel}
%files -n kernel%{_alt_kernel}-net-bcm5700
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/net/bcm5700.ko*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bcm5700.spec,v $
Revision 1.55.2.11  2008/07/03 13:16:12  glen
- obsolete smp kernel packages; rel 5

Revision 1.55.2.10  2008/07/03 11:30:43  glen
- updated from LINUX_2_6_22 branch, old one in LINUX_2_6_16 branch

Revision 1.65.2.4  2008-04-04 17:54:57  glen
- #if defined(CONFIG_SPARC64) || defined(CONFIG_X86_64) ||defined(CONFIG_PPC64)

Revision 1.65.2.3  2008-04-04 17:52:36  glen
- disable broken arch

Revision 1.65.2.2  2008-04-03 20:31:03  glen
- release 4

Revision 1.65.2.1  2008-04-03 20:30:24  glen
- AC deps

Revision 1.65  2008-04-03 20:28:14  glen
- no debuginfo as no userspace tools

Revision 1.64  2008-04-03 20:17:07  glen
- actually apply patch0

Revision 1.63  2008-04-03 20:07:51  glen
- no more smp

Revision 1.62  2008-02-15 15:38:41  glen
- alt kernel fix, buildfix

Revision 1.61  2008-02-15 14:37:21  glen
- alt_kernel stuff merge from AC-branch

Revision 1.60  2008-02-08 18:45:35  qboosh
- unified note

Revision 1.59  2008-02-08 11:25:40  gotar
- note about newer tg3 driver

Revision 1.58  2007-09-09 22:22:05  zbyniu
- macro in patch name

Revision 1.57  2007/09/09 22:15:49  zbyniu
- up to 8.3.14; cleanups
- patch against kernel 2.6.22

Revision 1.56  2007/04/12 15:16:20  shadzik
- proper kernel-module-build version

Revision 1.55  2007/03/14 00:13:57  glen
- up bcond

Revision 1.54  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.53  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.52  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.51  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.50  2006/02/07 18:01:41  tommat
- rel 5, STBR

Revision 1.49  2006/02/06 14:01:28  tommat
- make build with new kernel-module-buid (2.6.14.7-1)
- rel 4.1, please test and if ok give full release and STBR

Revision 1.48  2006/01/12 20:14:22  arekm
- rel 4; fix ppc/spac

Revision 1.47  2005/11/13 02:15:15  sparky
- if there is no asm-powerpc link asm-ppc !
- spaces->tabs

Revision 1.46  2005/11/12 11:45:21  arekm
- rel 3

Revision 1.45  2005/11/12 11:34:39  arekm
- rel 2

Revision 1.44  2005/10/08 16:06:35  areq
- 8.2.18

Revision 1.43  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.42  2005/07/31 12:25:20  pluto
- extra_cflags killed (kernel buildsystem provides suitable options).

Revision 1.41  2005/07/29 17:08:30  pluto
- updated to 8.1.55, support debug-build, release 1.

Revision 1.40  2005/05/29 01:29:58  ankry
- rel 3

Revision 1.39  2005/05/21 22:23:52  averne
- rel 2

Revision 1.38  2005/01/29 15:27:26  pluto
- license fixed.
- BR:, R: fixed.

Revision 1.37  2004/11/05 10:49:22  paladine
- spaces->tabs
- cosmetics

Revision 1.36  2004/08/07 23:00:16  havner
- rel 1

Revision 1.35  2004/08/06 12:13:35  pluto
- main pkg. without %{_kernel_ver_str}.

Revision 1.34  2004/08/06 12:05:43  pluto
- md5.

Revision 1.33  2004/08/06 12:03:54  pluto
- updated to 7.3.5.
- waiting for spec rename...
- release 0.1.

Revision 1.32  2004/06/19 16:07:01  qboosh
- tg3 is preferred on 2.4.x too (bcm5700 had some SMP problems)

Revision 1.31  2004/06/16 14:06:20  jpc
- BR + note in the header - this is for 2.4 only

Revision 1.30  2003/08/12 22:32:48  ankry
- cosmetics

Revision 1.29  2003/07/10 13:23:34  trojan
- added using depmod macro

Revision 1.28  2003/05/28 12:59:19  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 05:49:26  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/05/16 08:33:42  trojan
- fixed depmod in %post and %postun when build with _without_dist_kernel

Revision 1.25  2003/05/14 14:42:43  qboosh
- added depmod options so modules can be installed for kernel other than running

Revision 1.24  2003/05/08 12:44:12  marcus
- updated to 2.2.27

Revision 1.23  2003/03/23 22:57:40  blues
- release 2; rebuild with 2.2.25

Revision 1.22  2003/03/17 15:54:29  qboosh
- added URL (new version there... but seems still broken on SMP)

Revision 1.21  2003/03/03 20:57:19  marcus
- updated to version 2.2.19 (from Compaq SoftPack)
  (Ra - updates/general STBR)

Revision 1.20  2002/11/27 21:10:39  juandon
- new %doc

Revision 1.19  2002/11/17 18:31:50  kloczek
- release 11: rebuild against kernel 2.2.22-6.

Revision 1.18  2002/10/02 05:48:54  kloczek
- release 10: rebuild against kernel 2.2.22.

Revision 1.17  2002/08/29 07:23:48  qboosh
- fixed main package release; rel 9

Revision 1.16  2002/08/18 17:42:29  kloczek
- release 8: rebuild against kernel 2.2.21.

Revision 1.15  2002/04/27 13:03:25  marcus
- patch's path fixed

Revision 1.14  2002/04/27 12:40:00  marcus
- accedd vlan patch
- rel.7.

Revision 1.13  2002/03/17 16:06:25  dzimi

- update release numbers to build with new kernel release

Revision 1.12  2002/03/04 22:18:00  marcus
- use new macros (ver-rel)
- removed smp/up obsoletes
- rel. 5.

Revision 1.11  2002/02/26 18:56:01  qboosh
- use kgcc_package macro

Revision 1.10  2002/02/26 15:11:06  qboosh
- use %kgcc macro

Revision 1.9  2002/02/26 13:22:24  qboosh
- use requires_releq_kernel_{up,smp} macros, BR: egcs, release 4

Revision 1.8  2002/02/23 21:59:55  saq
- changed Requires: right-kernel to Conflicts: wrong-kernel
- release 3, STBR

Revision 1.7  2002/02/22 23:29:07  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/17 19:01:05  kloczek
- cosmetics.

Revision 1.5  2002/02/17 19:00:24  kloczek
- adapterized.

Revision 1.4  2002/02/10 19:04:46  marcus
- rel 2. (for build with 2.2.20-10 and new 2.4)

Revision 1.3  2002/01/27 10:17:05  marcus
- some typos in Conflicts: in SMP subpackage

Revision 1.2  2002/01/27 09:47:46  marcus
- added %post/%postun for smp

Revision 1.1  2002/01/27 09:01:42  marcus
- changed name s/netdrivers/net/g

Revision 1.3  2002/01/26 20:36:30  marcus
- s/gcc/kgcc/g

Revision 1.2  2002/01/26 20:33:08  marcus
- added some macros, stbr

Revision 1.1  2002/01/26 20:20:33  marcus
- source: a5c13980564d05a446cfce9e4d887438  SOURCES/bcm5700-2.0.28.tar.gz
- spec: initial version (based on kernel-* specs)
